import glob

ngen = 10000000

for fname in glob.iglob("Afrasian.concepts.list"):
    if "ABVD" in fname or "pny" in fname:
        ngen = 500000000
    elif "IELex" in fname:
        ngen = 10000000
    else:
        ngen = 5000000
    fam_name = fname.split(".")[0]
    for concept_nex in glob.iglob(fam_name+"/*.nex"):
        temp = concept_nex.replace("/","_")
        
        fw = open(temp+".mb", "w")
        fw.write("#Nexus\n")
        fw.write("begin mrbayes;\n")
        print(concept_nex)
        fw.write("execute "+ concept_nex+";\n")
        fw.write("prset brlenspr = clock:uniform;\n")
        fw.write("prset clockvarpr = igr;\n")
        fw.write("lset coding=noabsencesites rates=gamma;\n")
        fw.write("mcmcp ngen="+str(ngen)+";\n")
        #fw.write("mcmcp ngen="+str(ngen)+" stoprule=yes stopval=0.001;\n")
        fw.write("mcmc;\n")
        #fw.write("sump;\n")
        #fw.write("sumt;\n")
        fw.write("quit;\n")
        fw.write("end;\n")
        fw.close()
