import itertools as it
import sys, subprocess
import numpy as np
from scipy import stats

concepts = [x.split("\t")[0] for x in open(sys.argv[1], "r")]
path = sys.argv[2]
suffix = ".nex.run1.t.nwk"
cutoff = 0.25

#if "abvd" in path: 
#    cutoff = 0.5
#    concepts = concepts[155:]

cnt_concept = 1
for c1, c2 in zip(concepts[:-1], concepts[1:]):
    #print(c1, c2)
    #continue
    path1, path2 = path+c1+suffix, path+c2+suffix
    trees1 = [x for x in open(path1, "r")]
    trees2 = [x for x in open(path2, "r")]
    #print(c1, c2)
    gqd = []
    
    for t1, t2 in zip(trees1[int(cutoff*len(trees1)):], trees2[int(cutoff*len(trees2)):]):
        temp1 = open("temp3.txt", "w")
        temp2 = open("temp4.txt", "w")
        temp1.write(t1)
        temp2.write(t2)
        temp1.close(), temp2.close()
        a = subprocess.check_output(["./qdist","temp3.txt","temp4.txt"])
        #print(a)
        x=str(a).split("\\n")[1].split("\\t")

        gqd.append(float(x[4])/float(x[2]))

    #np_gqd = np.array(gqd)
    #mean, var, std = stats.bayes_mvs(gqd)
    #print(cnt_concept, c1, c2, mean)
    print(c1, c2, *gqd, sep="\t")
    #print(cnt_concept, c1, c2, np.round(np.mean(np_gqd),4), np.round(np.std(np_gqd),4), np_gqd.shape[0])
    cnt_concept += 1
